# I3DExTileRenderer Struct Reference
[External Interfaces]

Inheritance diagram for I3DExTileRenderer:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | Init (const TMCRect &rect, const TBBox2D &uvBox)=0
virtual boolean MCCOMAPI | GetNextSubTile (TMCRect &rect)=0
virtual void MCCOMAPI | RenderSubTile (RTData &pixels)=0
virtual void MCCOMAPI | FinishRender (const RTData &pixels)=0

## Detailed Description

A Tile Renderer renders a number of tiles of an image by subTile. A Tile Renderer is created by calling I3DExFinalRenderer::GetTileRenderer() for each of the rendering thread.

Pseudo code to use a Tile Renderer:

        TMCCountedPtr<I3DExTileRenderer> tileRenderer;
        finalRenderer->GetTileRenderer(&tileRenderer);
        ThrowIfNil(tileRenderer);

        while (MoreTiles(&rect,&uvBox))
        {
            tileRenderer->Init(rect,uvBox);

            TMCRect subTileRect;
            while (tileRenderer->GetNextSubTile(subTileRect)
            {
                GetPixelPointers(pixels,subTileRect);

                tileRenderer->RenderSubTile(pixels);
                DisplaySubTile(rect);
            }
            GetTilePixels(pixels,TileRect);
            tileRenderer->FinishRender(pixels);
        }

## Member Function Documentation

virtual void MCCOMAPI I3DExTileRenderer::FinishRender | ( | const RTData & | pixels | ) | `[pure virtual]`

virtual boolean MCCOMAPI I3DExTileRenderer::GetNextSubTile | ( | TMCRect & | rect | ) | `[pure virtual]`

Returns the next subTile to render (returns the same rectangle as long as RenderSubTile has not been called)

Parameters:

  | rect | The rectangle of the next sub Tile in pixel.

Returns:
  True if there are more sub tiles to render, false if the last sub tile has already been rendered

virtual void MCCOMAPI I3DExTileRenderer::Init | ( | const TMCRect & | rect,
|  | const TBBox2D & | uvBox |
| ) |  |  | `[pure virtual]`

Initialiase the tileRenderer for the rendering of a new tile

Parameters:

  | rect | The rectangle of the tile to render (in pixels)
  | uvBox | The screen coordinates of this tile

virtual void MCCOMAPI I3DExTileRenderer::RenderSubTile | ( | RTData & | pixels | ) | `[pure virtual]`

Renders a sub tile of the current tile

Parameters:

  | pixels | Pointer to the pixels of the tile (color and GBuffers)

The documentation for this struct was generated from the following file:

- I3dExFinalRenderer.h